## fastobj 1.2+git20230610.1a80602

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.0)

PROJECT(fast_obj)

OPTION(FAST_OBJ_BUILD_TEST "Build test application" OFF)

ADD_LIBRARY(fast_obj INTERFACE)
TARGET_INCLUDE_DIRECTORIES(fast_obj INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})

ADD_LIBRARY(fast_obj_lib STATIC fast_obj.c)
TARGET_INCLUDE_DIRECTORIES(fast_obj_lib PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})


IF(${FAST_OBJ_BUILD_TEST})
    ADD_EXECUTABLE(fast_obj_test test/test.cpp)
    TARGET_COMPILE_FEATURES(fast_obj_test PRIVATE cxx_std_11)
    TARGET_LINK_LIBRARIES(fast_obj_test PRIVATE fast_obj_lib)
ENDIF()

=== debian/changelog ===
fastobj (1.2+git20230610.1a80602-1) unstable; urgency=medium

  * Initial release. (Closes: #1071991)

 -- Federico Ceratto <federico@debian.org>  Mon, 27 May 2024 16:04:52 +0200

=== debian/control ===
Source: fastobj
Section: libs
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.7.0
Homepage: https://github.com/thisistherk/fast_obj
Vcs-Browser: https://salsa.debian.org/debian/fastobj
Vcs-Git: https://salsa.debian.org/debian/fastobj.git

Package: libfastobj-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Fast Wavefront OBJ parser C library
 Simple single-header library to load Wavefront OBJ data providing
 good performance compared to similar libraries

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DFAST_OBJ_BUILD_TEST=ON

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./obj-$(DEB_HOST_GNU_TYPE)/fast_obj_test debian/test.obj
endif

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fastobj-$1\.tar\.gz/ \
  https://github.com/thisistherk/fast_obj/tags .*/v?(\d.*)@ARCHIVE_EXT@

## fastobj 1.3

=== debian/changelog ===
fastobj (1.3-1) unstable; urgency=medium

  * Team upload.
  * Bump minimum cmake version (Closes: #1112882)
  * Drop R³
  * Drop optional priority
  * Bump policy version (no changes)
  * Use uscan v5
  * New upstream version 1.3
  * Make package arch:all (lintian)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 04 Feb 2026 15:42:35 +0100

=== debian/control ===
Source: fastobj
Section: libs
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.7.3
Homepage: https://github.com/thisistherk/fast_obj
Vcs-Browser: https://salsa.debian.org/debian/fastobj
Vcs-Git: https://salsa.debian.org/debian/fastobj.git

Package: libfastobj-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Description: Fast Wavefront OBJ parser C library
 Simple single-header library to load Wavefront OBJ data providing
 good performance compared to similar libraries

=== debian/watch ===
Version: 5

Template: GitHub
Owner: thisistherk
Project: fast_obj
